Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F174377794
D12129.id32406.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D12129.id32406.diff
View Options
Index: www/qt5-webkit/Makefile
===================================================================
--- www/qt5-webkit/Makefile
+++ www/qt5-webkit/Makefile
@@ -2,6 +2,7 @@
PORTNAME= webkit
DISTVERSION= 5.212.0-alpha2
+PORTREVISION= 1
CATEGORIES= www
MASTER_SITES= https://github.com/annulen/${PORTNAME}/releases/download/${DISTNAME}/
PKGNAMEPREFIX= qt5-
@@ -45,5 +46,8 @@
CXXFLAGS+= -DNDEBUG
PLIST_SUB= FULLVER="${PORTVERSION:R}"
+
+SUB_FILES= pkg-install
+SUB_LIST= QT_INCDIR="${QT_INCDIR}"
.include <bsd.port.mk>
Index: www/qt5-webkit/files/pkg-install.in
===================================================================
--- www/qt5-webkit/files/pkg-install.in
+++ www/qt5-webkit/files/pkg-install.in
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# Before r448361, QtWebKit had QT_DEFINES, which caused qconfig-modules.h to
+# include qconfig-webkit.h, which we no longer set. We no longer ship
+# qconfig-webkit.h, we need to make sure qconfi-modules.h no longer includes it
+# (see bug 221828).
+
+if [ "$2" = "POST-INSTALL" ]; then
+ sed -i "" '/qconfig-webkit.h/d' \
+ %%QT_INCDIR%%/QtCore/qconfig-modules.h 2>/dev/null || true
+fi
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Oct 3, 7:21 PM (8 h, 42 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
40146641
Default Alt Text
D12129.id32406.diff (1 KB)
Attached To
Mode
D12129: www/qt5-webkit: Ensure qconfig-modules.h does not include qconfig-webkit.h
Attached
Detach File
Event Timeline
Log In to Comment